package hu.kozadat.search.model;

/**
 * Created with IntelliJ IDEA.
 * User: tnagy
 * Date: 2012.06.21.
 * Time: 8:19
 */
public enum IndexerSearchResultSchemaType {

    UNKNOWN,
    KOZADAT_ADATBAZIS("Adatb\u00E1zis"),
    KOZADAT_ALTALANOS("\u00C1ltal\u00E1nos"),
    KOZADAT_JOGSZABALYTERVEZET("Jogszab\u00E1lytervezet"),
    KOZADAT_KOZLONY("K\u00F6zl\u00F6ny"),
    KOZADAT_OGY_TVJAVASLAT("Orsz\u00E1ggy\u0171l\u00E9si t\u00F6rv\u00E9nyjavaslat"),
    KOZADAT_ARCHIV("Arch\u00EDv");

    private String schemaName;

    private IndexerSearchResultSchemaType() {
    }

    private IndexerSearchResultSchemaType(String schemaName) {
        this.schemaName = schemaName;
    }

    public String getSchemaName() {
        return schemaName;
    }

    public static IndexerSearchResultSchemaType getSchemaByName(String schemaName) {
        if (KOZADAT_ADATBAZIS.getSchemaName().equals(schemaName)) {
            return KOZADAT_ADATBAZIS;
        } else if (KOZADAT_ALTALANOS.getSchemaName().equals(schemaName)) {
            return KOZADAT_ALTALANOS;
        } else if (KOZADAT_JOGSZABALYTERVEZET.getSchemaName().equals(schemaName)) {
            return KOZADAT_JOGSZABALYTERVEZET;
        } else if (KOZADAT_KOZLONY.getSchemaName().equals(schemaName)) {
            return KOZADAT_KOZLONY;
        } else if (KOZADAT_OGY_TVJAVASLAT.getSchemaName().equals(schemaName)) {
            return KOZADAT_OGY_TVJAVASLAT;
        } else if (KOZADAT_ARCHIV.getSchemaName().equals(schemaName)) {
            return KOZADAT_ARCHIV;
        } else {
            return UNKNOWN;
        }
    }
}
