package hu.kozadat.search.model;

/**
 * Created by IntelliJ IDEA.
 * User: tnagy
 * Date: 2009.11.10.
 * Time: 14:47:20
 */
public enum InstitutionSearchResultItemType implements Comparable<InstitutionSearchResultItemType> {
    ActiveDataProvider(0),
    RegisteredDataProvider(1),
    ExternalInstitute(2),
    ArchivedDataProvider(3);

    private int statusOrder;

    private InstitutionSearchResultItemType(int statusOrder) {
        this.statusOrder = statusOrder;
    }

    public int getStatusOrder() {
        return statusOrder;
    }

    public InstitutionSearchResultItemType getActive() {
        return ActiveDataProvider;
    }

    public InstitutionSearchResultItemType getRegistered() {
        return RegisteredDataProvider;
    }

    public InstitutionSearchResultItemType getArchived() {
        return ArchivedDataProvider;
    }

    public InstitutionSearchResultItemType getExternal() {
        return ExternalInstitute;
    }

}
