package hu.kozadat.search.service;

/**
 * Created with IntelliJ IDEA.
 * User: tnagy
 * Date: 2012.05.23.
 * Time: 14:55
 * To change this template use File | Settings | File Templates.
 */
public interface SearchUIConfigurationConstants {

    String VALUE_SEPARATOR = ",";

    String GROUP_GENERAL = "general";
    String GROUP_SEARCH = "search";
    String GROUP_SIMPLE_SEARCH = "simpleSearch";
    String GROUP_INTERACTIVE_SEARCH = "interactiveSearch";
    String GROUP_RECOMMENDED_SEARCH = "recommendedSearch";
    String GROUP_INSTITUTION_SEARCH = "institutionSearch";
    String GROUP_GOOGLE_MAPS_API_KEYS = "googleMapsAPIKeys";
    String GROUP_ATTACHMENT_VIEWER = "attachmentViewer";

    String[] GROUPS = {
            GROUP_GENERAL,
            GROUP_SEARCH,
            GROUP_RECOMMENDED_SEARCH,
            GROUP_INSTITUTION_SEARCH,
            GROUP_GOOGLE_MAPS_API_KEYS,
            GROUP_INTERACTIVE_SEARCH,
            GROUP_SIMPLE_SEARCH,
            GROUP_ATTACHMENT_VIEWER
    };

    String KEY_GENERAL_APPLICATION_HOST = "applicationHost";
    String KEY_GENERAL_APPLICATION_CONTEXT = "applicationContext";
    String KEY_GENERAL_JDBC_DRIVER_URL = "jdbcDriverUrl";

    String KEY_SEARCH_CHECK_CRITICAL_WORDS = "checkCriticalWords";
    String KEY_SEARCH_SEARCH_TEXT_MIN_LENGTH = "searchTextMinLength";
    String KEY_SEARCH_SEARCH_TEXT_MAX_LENGTH = "searchTextMaxLength";
    String KEY_SEARCH_SEARCH_RESULT_PAGE_SIZE = "searchResultPageSize";

    String KEY_RECOMMENDED_SEARCH_MAX_RECOMMENDATION = "maxRecommendation";
    String KEY_RECOMMENDED_SEARCH_RANDOM_INTERVAL = "randomInterval";

    String KEY_INSTITUTION_SEARCH_SEARCH_RESULT_PAGE_SIZE = "searchResultPageSize";
    String KEY_INSTITUTION_SEARCH_AUTOCOMPLETE_LIMIT = "autoCompleteLimit";

    String KEY_SIMPLE_SEARCH_MAX_RESULT_COUNT = "maxResultCount";
    String KEY_SIMPLE_SEARCH_WS_MAX_RESULT_COUNT = "webServiceMaxResultCount";

    String KEY_INTERACTIVE_SEARCH_MAX_RESULT_COUNT = "maxResultCount";

    String KEY_ATTACHMENT_VIEWER_ATTACHMENT_CONTENT_ROOT_DIR = "attachmentContentRootDir";

}
