package hu.kozadat.search.presentation.interactivesearch;

public class InteractiveSearchFormBackingBean {

    private String searchTerms;
    private Long dataProviderId;
    private String dataProviderName;

    public void reset() {
        searchTerms = null;
        dataProviderId = null;
        dataProviderName = null;
    }

    public String getSearchTerms() {
        return searchTerms;
    }

    public void setSearchTerms(String searchTerms) {
        this.searchTerms = searchTerms;
    }

    public Long getDataProviderId() {
        return dataProviderId;
    }

    public void setDataProviderId(Long dataProviderId) {
        this.dataProviderId = dataProviderId;
    }

    public String getDataProviderName() {
        return dataProviderName;
    }

    public void setDataProviderName(String dataProviderName) {
        this.dataProviderName = dataProviderName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        InteractiveSearchFormBackingBean that = (InteractiveSearchFormBackingBean) o;

        if (dataProviderId != null ? !dataProviderId.equals(that.dataProviderId) : that.dataProviderId != null)
            return false;
        if (searchTerms != null ? !searchTerms.equals(that.searchTerms) : that.searchTerms != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = searchTerms != null ? searchTerms.hashCode() : 0;
        result = 31 * result + (dataProviderId != null ? dataProviderId.hashCode() : 0);
        return result;
    }
}
